Subject: Re: bug#53743: Using spaces in names doesn't have complete sanitization

From: Leo Famulari <[email-masked]>
Date: Thu, 3 Feb 2022 23:50:55 -0500

On Thu, Feb 03, 2022 at 06:32:51PM +0000, Maxime Devos wrote:
> I can reproduce with the attached configuration.
> I'm wondering what software is creating these 'Baelarina' and 'Nina'
> subdirectories of '/home/Tsarina Baelarina Nina/' ... is it Guix, is it
> GDM, is it the GNOME desktop ...?

I tried to create a minimal reproducer by editing the user-account in
'gnu/system/examples/bare-bones.tmpl' with the name "Tsarina Baelarina
Nina".

Guix did the right thing, and created a single directory called
'/home/Tsarina Baelarina Nina/', without the bogus subdirectories.

So, if it is caused by Guix, it's not the basic user-account tooling
that does it.